@import "./reset.css";
@import "./var.css";
@import "./structure.css";
@import "./fragments/_header.css";
@import "./fragments/_footer.css";

@import "./components/_animation.css";
@import "./components/_accordion.css";
@import "./components/_action.css";
@import "./components/_alert.css";
@import "./components/_aside.css";
@import "./components/_breadcrumb.css";
@import "./components/_banner.css";
@import "./components/_card.css";
@import "./components/_cookies.css";
@import "./components/_media.css";
@import "./components/_modal.css";
@import "./components/_swiper.css";
@import "./components/_table.css";
@import "./components/_text.css";
@import "./components/_badge.css";
@import "./components/_form.css";
html,
body {
    line-height: 1.2;
    background: var(--background);
    color: var(--text);
    width: 100%;
    font-family: var(--font-base);
    font-size: var(--font-m);
    font-weight: var(--font-weight);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

#app,
header,
footer {
    font-family: var(--font-title);
    font-size: var(--font-s);
    font-weight: var(--font-weight);
}
footer {
    overflow: hidden;
}

[data-mail][data-domain]::after {
    content: attr(data-mail) "@" attr(data-domain);
    cursor: pointer;
}

/* lenis smooth scroll */
html.lenis {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.lenis.lenis-scrolling iframe {
    pointer-events: none;
}